Subject: Re: [bug#31531] [PATCH v2 3/9] gnu: monero: Update to 0.12.3.0.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 16 Jul 2018 16:40:12 +0200

Hello Theodoros,

Theodoros Foradis <[email-masked]> skribis:

> Ludovic Courtès writes:

[...]

>> I get a hash mismatch for this one:
>>
>> --8<---------------cut here---------------start------------->8---
>> Starting download of /gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz
>> From https://github.com/monero-project/monero/archive/v0.12.3.0.tar.gz...
>> following redirection to `https://codeload.github.com/monero-project/monero/tar.gz/v0.12.3.0'...
>>  v0.12.3.0.tar.gz                            5.2MiB/s 00:02 | 8.0MiB transferred
>> sha256 hash mismatch for output path `/gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz'
>>   expected: 0wmz7g48cay0irmny5k87x4z834w07bpyvsbs9chygk9ch9kp8sw
>>   actual:   05a85k1vphizm111np86arpd0rnvr6qdwq37awsll24myr7s7aq6
>> @ build-failed /gnu/store/nm8hl473pvd0agrrwj2rj724wv7z66pf-monero-0.12.3.0.tar.gz.drv - 1 sha256 hash mismatch for output path `/gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz'
>>   expected: 0wmz7g48cay0irmny5k87x4z834w07bpyvsbs9chygk9ch9kp8sw
>>   actual:   05a85k1vphizm111np86arpd0rnvr6qdwq37awsll24myr7s7aq6
>> cannot build derivation `/gnu/store/51pdrvrawv6ad41gw05q99pclnc1dnk8-monero-0.12.3.0.tar.xz.drv': 1 dependencies couldn't be built
>> --8<---------------cut here---------------end--------------->8---
>>
>> Could you check if anything’s wrong?
>
> The auto-generated tarball changed, and this is why I added the later
> patch to use git-fetch. I forgot to update the hash prior to using
> git-fetch, because I only tested with all patches applied.
>
> So, the actual hash shown here is correct, we can either fix it in this
> patch, or ignore it because it gets fixed in patch 7/9 anyway.

Indeed.  I sort-of merged both patches by applying this one:

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 3d4185578..333fe6531 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -372,14 +372,15 @@ other machines/servers.  Electroncash does not download the Bitcoin Cash blockch
     (version "0.12.3.0")
     (source
      (origin
-       (method url-fetch)
-       (uri (string-append "https://github.com/monero-project/monero/archive/v"
-                           version ".tar.gz"))
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/monero-project/monero")
+             (commit (string-append "v" version))))
        (file-name (string-append name "-" version ".tar.gz"))
        (patches (search-patches "monero-use-system-miniupnpc.patch"))
        (sha256
         (base32
-         "0wmz7g48cay0irmny5k87x4z834w07bpyvsbs9chygk9ch9kp8sw"))))
+         "14db9kgjm2ha93c2x5fjdw01xaqshn756qr3x2cnzyyjh7caz5qd"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("doxygen" ,doxygen)

Note that in general we should arrange for each commit to produce a
working state.

Thanks,
Ludo’.